Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707774 - x11-misc/habak-0.2.5-r3 : fails to build with -fno-common or gcc-10
Summary: x11-misc/habak-0.2.5-r3 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Desktop Misc. Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-02-01 15:03 UTC by Toralf Förster
Modified: 2020-02-02 09:40 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.47 KB, text/plain)
2020-02-01 15:03 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,227.37 KB, text/plain)
2020-02-01 15:03 UTC, Toralf Förster
Details
environment (environment,51.69 KB, text/plain)
2020-02-01 15:03 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,20.42 KB, application/x-bzip)
2020-02-01 15:03 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,13.89 KB, application/x-bzip)
2020-02-01 15:03 UTC, Toralf Förster
Details
x11-misc:habak-0.2.5-r3:20200201-133920.log (x11-misc:habak-0.2.5-r3:20200201-133920.log,2.63 KB, text/plain)
2020-02-01 15:03 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-02-01 15:03:40 UTC
habak.c:564:9: warning: suggest parentheses around assignment used as truth value [-Wparentheses]
  564 |  while (multxt10=strchr(multxt,10)) {
      |         ^~~~~~~~
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -I/usr/X11R6/include -Wall -Wl,-O1 -Wl,--as-needed -o habak xcore.o random.o habak.o -lm -lImlib2 -lX11 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: habak.o:(.bss+0x6c): multiple definition of `i'; random.o:(.bss+0x18): first defined here
collect2: error: ld returned 1 exit status

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_hardened-libressl_test-20200126-104546

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
  [5]   pypy3 (fallback)

Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK JRE 8.242_p08 [openjdk-jre-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-jre-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sat, 01 Feb 2020 12:27:55 +0000

emerge -qpvO x11-misc/habak
[ebuild  N    ] x11-misc/habak-0.2.5-r3
Comment 1 Toralf Förster gentoo-dev 2020-02-01 15:03:43 UTC
Created attachment 610464 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-02-01 15:03:46 UTC
Created attachment 610466 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-02-01 15:03:49 UTC
Created attachment 610468 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-02-01 15:03:51 UTC
Created attachment 610470 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-02-01 15:03:54 UTC
Created attachment 610472 [details]
temp.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-02-01 15:03:57 UTC
Created attachment 610474 [details]
x11-misc:habak-0.2.5-r3:20200201-133920.log
Comment 7 Larry the Git Cow gentoo-dev 2020-02-02 09:40:43 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fad59b3a7142b73175bfaaa6035b6d333da1cfa0

commit fad59b3a7142b73175bfaaa6035b6d333da1cfa0
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-02-02 09:40:07 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-02-02 09:40:39 +0000

    x11-misc/habak: Fix CFLAGS=-fno-common
    
    Package-Manager: Portage-2.3.86, Repoman-2.3.20
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=707774
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 x11-misc/habak/files/habak-0.2.5-fno-common.patch | 33 +++++++++++++++++++++++
 x11-misc/habak/habak-0.2.5-r3.ebuild              |  3 ++-
 2 files changed, 35 insertions(+), 1 deletion(-)